Retrieve webhooks

GET /api/v1/eventConfigurations

Retrieves all webhooks.

If the response is an empty array [], there are no webhooks in your organization. To create your first webhook, see Create a webhook.

In the response, in every object in the array, the id key contains the webhook ID. You use the webhook ID to, for example, retrieve or update the webhook.

RequestResponse
curl -X GET '<baseURL>/api/v1/eventConfigurations' \
-H 'Authorization: Bearer <bearerToken>' \
-H 'Accept: application/json'
RequestResponse
[
  {
    "id": "7050346545d5447da57b64be6416ac78",
    "organizationId": "org_ZiiCnzhCeHDpWJAU",
    "sourceSystem": {
      "$type": "AnySource"
    },
    "destinationSystem": {
      "secret": "4fcae82f-5759-4a08-93fe-1582bcc8514d",
      "targetUrl": "https://webhook.site/4fcae82f-5759-4a08-93fe-1582bcc8514d",
      "contentType": null,
      "$type": "Webhook"
    },
    "space": "Development",
    "sourceSystemStatus": null,
    "logLevel": "FailuresOnly",
    "createdBy": "[email protected]",
    "createdDate": "2026-12-22T12:10:18.8610786+00:00",
    "updatedBy": "[email protected]",
    "updatedDate": "2026-12-22T13:43:42.4291852+00:00",
    "eventName": "sitecore.backbone.messages.audit.created",
    "enabled": true
  },
  {...}
]

Do you have some feedback for us?

If you have suggestions for improving this article,